import time
from random import shuffle
from acquisition import *
import numpy as np

def moyennes_mesures(mesures):
    moyennes = {}
    for mesure,t,n in mesures:
        print("Collecte de {} valeurs de {} toutes les ({}s)...".format(n,mesure,t))
        valeurs = getMesure(mesure,t,n)
        moyenne = np.mean(valeurs)
        print("Moyenne de {} est {:.2f}".format(mesure,moyenne))


if __name__ == "__main__":
    shuffle(MESURES)
    print(MESURES)
    start_time = time.time()
    moyennes_mesures(MESURES)
    end_time = time.time()
    print("Temps de calcul: {:.1f}s".format(end_time - start_time))
