import time
import rpyc
import numpy as np
from acquisition import *

def create_connection():
    return rpyc.connect("localhost", 18861)


def calcul_moyenne(id_, mesure, t, n):
    print(f"Moyenne de {mesure} est en préparation ({t}s)")
    valeurs = getMesure(mesure,t,n)
    moyenne = np.mean(valeurs)
    return "Moyenne de {} est {:.2f}".format(mesure,moyenne)


def send_result(conn, task, result):
    # A compléter


def ask_task(conn):
    #A compléter


def run(conn):
    # `task` est un tuplet `(mesure, temps de préparation, nombre de valeurs)`.
    task = ask_task(conn)

    while task:
        id_, (mesure, t,n)  = task

        print("{} à calculer reçue {}".format(mesure,id_))
        prepared_moyenne = calcul_moyenne(id_, mesure, t,n)

        print("Moyenne de {} prête envoyée {}".format(mesure,id_))
        send_result(conn, task, prepared_moyenne)

        task = ask_task(conn)


if __name__ == "__main__":
    run(create_connection())
